Bug 1380826 - Review Request: pgadmin4 - Management tool for PostgreSQL
Summary: Review Request: pgadmin4 - Management tool for PostgreSQL
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Devrim Gündüz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1352188 1585453 (view as bug list)
Depends On: 1352188 1406957 1429096 1457249 1497865 1550314 1550317 1550319 1550330 1550334 1550692 1550697 1550722 1550723 1552071 1567661
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-30 16:52 UTC by Devrim Gündüz
Modified: 2019-12-03 01:17 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-03 01:17:30 UTC


Attachments (Terms of Use)

Description Devrim Gündüz 2016-09-30 16:52:59 UTC
Spec URL: <spec info here>
SRPM URL: <srpm info here>


Spec URL: https://devrim.fedorapeople.org/pgadmin4/pgadmin4.spec
SRPM URL: https://devrim.fedorapeople.org/pgadmin4/pgadmin4-1.0-1.f24.src.rpm
Description: pgAdmin 4 is a rewrite of the popular pgAdmin3 management tool for the PostgreSQL
(http://www.postgresql.org) database.
pgAdmin 4 is written as a web application in Python, using jQuery and Bootstrap
for the client side processing and UI. On the server side, Flask is being utilised.

Although developed using web technologies, we intend for pgAdmin 4 to be usable
either on a web server using a browser, or standalone on a workstation. The
runtime/ subdirectory contains a QT based runtime application intended to allow
this - it is essentially a browser and Python interpretor in one package which
will be capable of hosting the Python application and presenting it to the user
as a desktop application.

Fedora Account System Username:devrim

Comment 1 Devrim Gündüz 2016-09-30 17:32:43 UTC
For the records, the following packages either needs to be updated or added for pgadmin4 to work:

Fedora 24:

babel
django-htmlmin
python-dateutil
python-fixtures
python-flask
python-flask-babel
python-flask-gravatar
python-flask-login
python-flask-mail
python-flask-principal
python-flask-security
python-flask-sqlalchemy
python-flask-wtf
python-mimeparse
python-pyrsistent
python-simplejson
python-wsgiref
python-wtforms

EPEL 7:
babel
django-htmlmin
python-beautifulsoup4
python-dateutil
python-fixtures
python-flask
python-flask-babel
python-flask-gravatar
python-flask-login
python-flask-mail
python-flask-principal
python-flask-security
python-flask-sqlalchemy
python-flask-wtf
python-jinja2
python-markupsafe
python-mimeparse
python-pyrsistent
python-simplejson
python-sqlalchemy
python-sqlparse
python-werkzeug
python-wsgiref
python-wtforms
pytz

Comment 2 Devrim Gündüz 2017-08-10 11:55:43 UTC
All the packages are available from https://yum.postgresql.org . The pgadmin4 packaging is not 100% stable enough yet, so I'll hold this ticket for a few weeks more.

Comment 3 Anton Kochkov 2017-12-06 04:20:33 UTC
pgAdmin4 2.0 was released a couple months ago with PostgreSQL 10 suppor and many bugfixes: https://www.pgadmin.org/docs/pgadmin4/dev/release_notes_2_0.html

Comment 4 Joseph D. Wagner 2017-12-07 18:18:26 UTC
It looks like someone at PostgreSQL put out some packages that work with Fedora. Could you use their work to put PGAdmin4 in the official repository?

https://www.postgresql.org/message-id/1479206529.4684.18.camel%40gunduz.org

Comment 5 Joseph D. Wagner 2017-12-16 23:10:15 UTC
Rawhide is now on postgres 10.1, and pgadmin3 only supports up to 9.5. Can we get pgadmin4 into rawhide?

Comment 6 Joseph D. Wagner 2018-02-24 21:24:50 UTC
Hello? Is anyone out there?

If this bug is not fixed by release, it means the next fedora release will have a version of postgres without any working GUI frontend.

I'm requesting this be a beta blocking bug.

Comment 7 Itamar Reis Peixoto 2018-02-25 00:50:27 UTC
(In reply to Joseph D. Wagner from comment #6)

if you're interested in having it packaged, you have to do it yourself, probably filling a new review request.

Comment 8 Devrim Gündüz 2018-02-28 23:58:34 UTC
Ok, I will spend time to push this package.

Comment 9 Itamar Reis Peixoto 2018-03-01 00:13:08 UTC
(In reply to Devrim GÜNDÜZ from comment #8)
link an updated spec file + src.rpm and I will review and approve it.

Comment 10 Devrim Gündüz 2018-03-01 00:39:50 UTC
(In reply to Itamar Reis Peixoto from comment #9)
> (In reply to Devrim GÜNDÜZ from comment #8)
> link an updated spec file + src.rpm and I will review and approve it.

Unfortunately there is more work.

I will to add these packages to the repos first:

 python-Flask-Mail Gerekiyor
 python-flask-gravatar Gerekiyor
 python-flask-htmlmin  Gerekiyor
 python-flask-security gerekiyor
 python-pyrsistent  Gerekiyor
 python-flask-paranoid Gerekiyor

Also, we need to update these packages:

 python-flask-babel
 python-flask-login
 python-flask-wtf
 python-wtforms

So, I have the spec files ready for all of them. I'm too tired now, but I'll create review request tickets for each of them tomorrow. Once we get these out of the door, we can push pgadmin4.

Regards, Devrim

Comment 11 Itamar Reis Peixoto 2018-03-01 01:05:29 UTC
do you already have an rpm for these new packages ? if yes, file a new review request and I will help you.

Comment 12 Itamar Reis Peixoto 2018-03-01 01:07:40 UTC
I found some here -> https://copr.fedorainfracloud.org/coprs/jdornak/pgadmin4/builds/

Comment 13 Itamar Reis Peixoto 2018-03-01 01:23:09 UTC
please review and approve -> https://bugzilla.redhat.com/show_bug.cgi?id=1550314

Comment 14 Itamar Reis Peixoto 2018-03-01 01:33:53 UTC
please review and approve -> https://bugzilla.redhat.com/show_bug.cgi?id=155031

Comment 15 Itamar Reis Peixoto 2018-03-02 16:10:40 UTC
Devrim, I have a question, 

why pgadmin4 are using psycopg instead of python-PyMySQL ?

https://koji.fedoraproject.org/koji/packageinfo?packageID=20789

Comment 16 Itamar Reis Peixoto 2018-03-02 16:12:06 UTC
python-wsgiref has been retired from fedora, is there alternatives for him ?

last release from 2006

https://pypi.python.org/pypi/wsgiref

Comment 17 Devrim Gündüz 2018-03-02 16:28:26 UTC
Hi,

(In reply to Itamar Reis Peixoto from comment #15)
> Devrim, I have a question, 
> 
> why pgadmin4 are using psycopg instead of python-PyMySQL ?
> 
> https://koji.fedoraproject.org/koji/packageinfo?packageID=20789

maybe because it is a PostgreSQL GUI? :)

Regards, Devrim

Comment 18 Devrim Gündüz 2018-03-02 16:35:44 UTC
(In reply to Itamar Reis Peixoto from comment #16)
> python-wsgiref has been retired from fedora, is there alternatives for him ?
> 
> last release from 2006
> 
> https://pypi.python.org/pypi/wsgiref

We don't need wsgiref

Please see comment 10:

https://bugzilla.redhat.com/show_bug.cgi?id=1380826#c10

(and also "Gerekiyor" string, it is a copy-paste error in that comment)

Comment 19 Fedora Update System 2018-04-09 14:42:05 UTC
python-flask-security-3.0.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-48f664b3ed

Comment 20 Itamar Reis Peixoto 2018-04-13 23:02:39 UTC
Hey Devrim,  I am adding a new spec file + src.rpm on your behalf, please take a look , 


Spec URL: https://itamarjp.fedorapeople.org/review/pgadmin4.spec
SRPM URL: https://itamarjp.fedorapeople.org/review/pgadmin4-3.0-1.fc28.src.rpm


I am also created an copr repo with the stuff that's need to be added in Fedora 28 at https://copr.fedorainfracloud.org/coprs/itamarjp/pgadmin4/


what do you think about removing the qt/desktop part and shipping / adding only the web  part on fedora, It will work only via webpage http://localhost/pgadmin4 , in the same way as phpMyAdmin does.


?

Comment 21 Anthony Messina 2018-04-14 00:09:55 UTC
(In reply to Itamar Reis Peixoto from comment #20)
> what do you think about removing the qt/desktop part and shipping / adding
> only the web  part on fedora, It will work only via webpage
> http://localhost/pgadmin4 , in the same way as phpMyAdmin does.

I'm just on the user end (not the packager end) of this one, but I'd prefer to have the qt/desktop part available if it's not too much to ask.

Comment 22 Devrim Gündüz 2018-04-15 20:10:30 UTC
Hi Itamar,

Just a FYI -- pgadmin4 3.0 was released, and upstream increased the minimum requirements of many of the components:

https://git.postgresql.org/gitweb/?p=pgadmin4.git;a=blob;f=requirements.txt;h=3cf61968929db071f17c346845724600038b69ed;hb=HEAD

I know it does not sound good, and I'm working hard to update the community repo :(

Regards, Devrim

Comment 23 Devrim Gündüz 2018-04-15 21:07:23 UTC
Hi Itamar,

(In reply to Itamar Reis Peixoto from comment #20)
> Hey Devrim,  I am adding a new spec file + src.rpm on your behalf, please
> take a look , 
> 
> 
> Spec URL: https://itamarjp.fedorapeople.org/review/pgadmin4.spec
> SRPM URL:
> https://itamarjp.fedorapeople.org/review/pgadmin4-3.0-1.fc28.src.rpm

A few comments:

* The unit file must be removed, it is not needed.
* Community RPMs ship a shell script to configure pgAdmin for server mode:

https://git.postgresql.org/gitweb/?p=pgrpms.git;a=blob;f=rpm/redhat/master/pgadmin4-v3/master/pgadmin4-web-setup.sh;h=b2fedb2f149134277e7a155a396dda1edf4a0c20;hb=HEAD

IMHO this script (or something similar) should be a part of Fedora RPMs as well

* Per requirements.txt, hard dependeny versions should be added to each dependency (otherwise pgAdmin4 segfaults, if a dependency version is less than it should be)
 
> 
> I am also created an copr repo with the stuff that's need to be added in
> Fedora 28 at https://copr.fedorainfracloud.org/coprs/itamarjp/pgadmin4/
> 
> 
> what do you think about removing the qt/desktop part and shipping / adding
> only the web  part on fedora, It will work only via webpage
> http://localhost/pgadmin4 , in the same way as phpMyAdmin does.

I object that, but I was also considering adding another subpackage, and call it (for example) pgadmin4-desktop, so that it will only pull desktop components.

Regards, Devrim

Comment 24 Joseph D. Wagner 2018-04-27 22:51:31 UTC
My guess is that bug #1352188 is a duplicate of this bug.

Comment 25 Itamar Reis Peixoto 2018-04-28 04:47:27 UTC
*** Bug 1352188 has been marked as a duplicate of this bug. ***

Comment 26 Itamar Reis Peixoto 2018-04-28 16:27:49 UTC
Devrim

all required stuff are in, the remaining bug's open linked here are mostly cosmetic's.

I had one spec file here https://copr.fedorainfracloud.org/coprs/itamarjp/pgadmin4/builds/

I think for fedora the best is a fully automated install without asking questions like phpmyadmin does (phpmyadmin just works after installed)

since you're reported the bug can you continue and finish it ?

Comment 27 Devrim Gündüz 2018-04-30 12:25:43 UTC
Hi Itamar,

(In reply to Itamar Reis Peixoto from comment #26)
> Devrim
> 
> all required stuff are in, the remaining bug's open linked here are mostly
> cosmetic's.

Yay!

 
> I had one spec file here
> https://copr.fedorainfracloud.org/coprs/itamarjp/pgadmin4/builds/
> 
> I think for fedora the best is a fully automated install without asking
> questions like phpmyadmin does (phpmyadmin just works after installed)
> 
> since you're reported the bug can you continue and finish it ?

Sure, but the server mode requires some kind of scripting:

https://git.postgresql.org/gitweb/?p=pgrpms.git;a=blob;f=rpm/redhat/master/pgadmin4/master/pgadmin4-web-setup.sh;h=d1448d4e2c3a1df41169be8681a287c2133092bd;hb=HEAD

I think we need to add and  document this script

Comment 28 Itamar Reis Peixoto 2018-04-30 14:08:57 UTC
my spec file already copies /etc/httpd/conf.d/pgadmin4.conf  without making questions, should be interesting a version of this one that doesn't make questions PYTHONSITELIB/pgadmin4-web/setup.py , generating a user root@$(hostname) with a random password and printing on screen or just saving it in ~/root/somewhere (just my opinion / what I think about)

Comment 29 Devrim Gündüz 2018-05-08 17:18:23 UTC
Hi,

I'm working on community PostgreSQL updates this week. I'll work on this on Friday.

Regards, Devrim

Comment 30 Joseph D. Wagner 2018-06-16 21:20:19 UTC
Blocking bug closed. [Bug 1567661] python-blinker 1.4 released.

Please post an updated spec file in pgadmin4 review.

Comment 31 nuno ferreira 2018-06-18 09:57:46 UTC
Hi,

Just a heads up.

Just tested itamarjp / pgadmin4 in my newly installed Fedora 28 and had to add sys.path.append("/usr/lib64/python3.6/site-packages/") to config.py. Only resetting PYTHONPATH had no effect.

This happened because makesafe is installed in that dir for some reason.

Thanks.

Comment 32 Devrim Gündüz 2018-07-01 11:00:26 UTC
*** Bug 1585453 has been marked as a duplicate of this bug. ***

Comment 33 Itamar Reis Peixoto 2018-07-01 19:28:07 UTC
(In reply to nuno ferreira from comment #31)

send me a patch at.
https://github.com/itamarjp/pgadmin4

Comment 34 Itamar Reis Peixoto 2018-07-04 22:07:00 UTC
please finish.

Comment 35 Joseph D. Wagner 2018-07-10 08:55:46 UTC
Thanks for all your work on this. I didn't see a pgadmin4 package in the rawhide repositories. Is it going to be upload there soon, or are there additional steps needed for it to be added?

Comment 36 Itamar Reis Peixoto 2018-08-27 23:05:31 UTC
this bug is almost 2 years old, Will you finish it ?

Comment 37 Itamar Reis Peixoto 2018-08-27 23:08:12 UTC
please reopen once you have an updated spec file ready for review

Comment 38 Devrim Gündüz 2018-08-27 23:12:16 UTC
Please keep this open, it reminds me the work.

Comment 39 Itamar Reis Peixoto 2018-08-27 23:13:31 UTC
(In reply to Devrim Gündüz from comment #38)
> Please keep this open, it reminds me the work.

you're preventing others to submit an working spec file and get it reviewed and approved.

Comment 40 Devrim Gündüz 2018-08-27 23:14:39 UTC
Anyone can still take this bug, if they have a spec file. 

I already have the spec file in the community repo. It is just a matter of finding some time.

Thanks.


Note You need to log in before you can comment on or make changes to this bug.